import c from "./index-parse2.js";
function o(e, t) {
  var r = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    t && (n = n.filter(function(p) {
      return Object.getOwnPropertyDescriptor(e, p).enumerable;
    })), r.push.apply(r, n);
  }
  return r;
}
function u(e) {
  for (var t = 1; t < arguments.length; t++) {
    var r = arguments[t] != null ? arguments[t] : {};
    t % 2 ? o(Object(r), !0).forEach(function(n) {
      f(e, n, r[n]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : o(Object(r)).forEach(function(n) {
      Object.defineProperty(e, n, Object.getOwnPropertyDescriptor(r, n));
    });
  }
  return e;
}
function f(e, t, r) {
  return t in e ? Object.defineProperty(e, t, { value: r, enumerable: !0, configurable: !0, writable: !0 }) : e[t] = r, e;
}
function O(e, t, r) {
  return c(e, u(u({}, t), {}, {
    v2: !0
  }), r);
}
export {
  O as default
};
